### 8.224 `SIN` — Sine function

Description:
  `SIN(X)` computes the sine of X.
Standard:
  Fortran 77 and later
Class:
  Elemental function
Syntax:
  `RESULT = SIN(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value has same type and kind as X.
Example:

                program test_sin
                  real :: x = 0.0
                  x = sin(x)
                end program test_sin

Specific names:

  Name | Argument | Return type | Standard
  `SIN(X)` | `REAL(4) X` | `REAL(4)` | f77, gnu
  `DSIN(X)` | `REAL(8) X` | `REAL(8)` | f95, gnu
  `CSIN(X)` | `COMPLEX(4) X` | `COMPLEX(4)` | f95, gnu
  `ZSIN(X)` | `COMPLEX(8) X` | `COMPLEX(8)` | f95, gnu
  `CDSIN(X)` | `COMPLEX(8) X` | `COMPLEX(8)` | f95, gnu

See also:
  ASIN